Subject: bug#31434: closed (Re: [bug#31434] [PATCH 0/2] OpenMPI 3.0)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 25 May 2018 11:45:02 +0000

Your bug report

#31434: [PATCH 0/2] OpenMPI 3.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31434: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31434
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#31434] [PATCH 0/2] OpenMPI 3.0
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Cc: [email-masked]
Date: Fri, 25 May 2018 13:44:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] (Ludovic Courtès) skribis:

> Ludovic Courtès <[email-masked]> skribis:
>
>> The attached patch updates OpenMPI to 3.0.1.  The ‘superlu-dist’ upgrade
>> was necessary to get there.
>
> Did you have a chance to look into it?  You mentioned on IRC that there
> might be a better way than setting OMPI_MCA_plm_rsh_agent.

I went ahead and apply the patches as they were so we can have a recent
Open MPI.  We can always revisit the OMPI_MCA_plm_rsh_agent issue later.

Thanks,
Ludo’.

Subject: [PATCH 0/2] OpenMPI 3.0
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: [email-masked], Ludovic Courtès <[email-masked]>
Date: Sat, 12 May 2018 18:01:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

The attached patch updates OpenMPI to 3.0.1.  The ‘superlu-dist’ upgrade
was necessary to get there.

I was able to rebuild everything that depends on it on x86_64, except
‘dealii-openmpi’, where GCC would eat all the memory of the machine
before completing (I suppose it might work with --cores=1 but I haven’t
tried.)

Ludo’.

Ludovic Courtès (2):
  gnu: superlu-dist: Update to 5.3.0.
  gnu: openmpi: Update to 3.0.1.

 gnu/packages/maths.scm | 87 ++++++++++++++++++++++++++++++++++--------
 gnu/packages/mpi.scm   |  8 ++--
 2 files changed, 76 insertions(+), 19 deletions(-)

-- 
2.17.0